Subject: RE: A question for OSPF-TE

From: [email-masked]
Date: Mon, 11 Feb 2002 08:51:29 -0800

Folks:
 
Thanks all for providing me help on this! I still have question regarding
the draft-katz-yeung-ospf-traffic-06.txt. Why this draft only works for a
single area?  As my understanding, the type 10 LSA is used to prune the
links that don't meet QoS requirement within the area, such as bandwidth.
After pruning, the same SPF algorithm and route distribution process will be
applied to compute the shortest path that meets traffic requirements across
the different areas. Type 1 (router) and type 2 (network) are also flooded
within the area. However, the shortest paths can be calculated based on
these LSAs to the ABRs, then ABR will re-distribute them as type 3 LSA to
the backbone area and then other areas. 
 
Thanks!
Cheng-hong 

-----Original Message-----
From: Rajesh Potti [mailto:[email-masked]]
Sent: Friday, February 08, 2002 1:27 PM
To: Hu, Cheng-Hong
Subject: Re: A question for OSPF-TE

This draft talks about how to make CBR work for a single area only. The idea
is that, all the routers in the carrier's network that do 
constraint based routing are configured to be in the same area. 

 There is another draft  which talks about interarea Traffic Engineering,
but i dont think it became poular as this one. 

Thanks, 
Rajesh 

[email-masked] wrote: 

-----Original Message----- 
From: Hu, Cheng-Hong 
Sent: Friday, February 08, 2002 1:05 PM 
To: [email-masked] 
Subject: RE: TTL draft: draft-ietf-mpls-ttl-00.txt 

Hi, 

OSPF-TE (draft-katz-yeung-ospf-traffic-06.txt) uses type 10 LSAs, which have

intra-area flooding scope. Does it mean that constraint-based routing only 
works for single area? How to make it work for multiple areas? 

Thanks! 

Cheng-hong

---

From: Rajesh Potti <[email-masked]>
Date: Mon, 11 Feb 2002 14:54:41 -0500

The link TLVs advertised using opaque TE LSAs are used for flooding
local links information, and are flooded only within the area. Hence,
the
 routers within the area do not receive the link bandwidth information
from routers belonging to other areas. The external LSAs do not have
 Traffic engineering related information and hence cannot be used for
CBR.

Thanks,
Rajesh

[email-masked] wrote:

> Folks:Thanks all for providing me help on this! I still have question
> regarding the draft-katz-yeung-ospf-traffic-06.txt. Why this draft
> only works for a single area?  As my understanding, the type 10 LSA is
> used to prune the links that don't meet QoS requirement within the
> area, such as bandwidth. After pruning, the same SPF algorithm and
> route distribution process will be applied to compute the shortest
> path that meets traffic requirements across the different areas. Type
> 1 (router) and type 2 (network) are also flooded within the area.
> However, the shortest paths can be calculated based on these LSAs to
> the ABRs, then ABR will re-distribute them as type 3 LSA to the
> backbone area and then other areas. Thanks!Cheng-hong
>
>      This draft talks about how to make CBR work for a single
>      area only. The idea is that, all the routers in the
>      carrier's network that do
>       There is another draft  which talks about interarea Traffic
>      Engineering, but i dont think it became poular as this one.
>
>      Thanks,
>      Rajesh
>
>      [email-masked] wrote:
>
--
"""
-------------------------------------------------------------------------
-  Rajesh Potti             [email-masked]
-  Shasta iSOS Software Development
-  Nortel Networks
-  600 Technology Park
-  Billerica, MA 01821          (O): (978)288-3095 ESN: 248-3095
-------------------------------------------------------------------------